import { __ as i__ } from "i18n";
import config from "../config.js";
import * as viewsv1 from "@hibas123/openauth-views-v1";

export default function GetAuthPage(
   __: typeof i__,
   appname: string,
   scopes: { name: string; description: string; logo: string }[]
): string {

   return viewsv1.authorize(config.core.dev)(
      {
         title: __("Authorize %s", appname),
         information: __(
            "By clicking on ALLOW, you allow this app to access the requested recources."
         ),
         scopes: scopes,
         // request: request
      },
      { helpers: { i18n: __ } }
   );
}
